.modal {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: none;
}

.modal.is-open {
    display: block;
}

.modal__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.55);
}

.modal__body {
    position: relative;
    z-index: 1;
    width: min(90%, 850px);
    margin: 20vh auto 0;
    background: #fff;
    padding: 80px;
    box-sizing: border-box;
}
.modal__title {
    font-size: 32px;
    margin-bottom: 32px;
}
.modal__desk {
    font-size: 18px;
    margin-bottom: 48px;
    font-weight: 300;
}
.modal-buttons {
    display: flex;
    align-items: center;
}
.modal-buttons__item {
    display: flex;
    align-items: center;
}
.modal-buttons__item svg {
    color: green;
}
.modal-buttons__item {
    transition: all 0.2s;
    text-decoration: none;
    color: #000;
    width: 50%;
}
.modal-buttons__item span {
    position: relative;
    font-size: 18px;
    margin-right: 10px;
}
.modal-buttons__item span::after {
    position: absolute;
    content: '';
    left: 0;
    bottom: -2px;
    display: block;
    height: 1px;
    right: 0;
    background-color: #000;
    transition: all 0.3s;
    width: 0;
}
.modal-buttons__item:hover span::after {
    transition: all 0.3s;
    width: 100%;
}
.modal-buttons__item:hover svg{
    transform: scale(1.05);
}
.modal-buttons__item svg {
    transition: all 0.2s;
}
.bx-singular-link__icon-arrow {
    transition: all 0.2s;
    fill: #000;
}
.bx-singular-link__icon-fill {
    transition: all 0.2s;
    fill: #fff;
}
.bx-singular-link__icon-border {
    transition: all 0.2s;
    fill: #000
}
.modal-buttons__item:hover .bx-singular-link__icon-arrow {
    fill: #FFF;
}
.modal-buttons__item:hover .bx-singular-link__icon-fill {
    fill: #000;
}
.modal-buttons__item:hover .bx-singular-link__icon-border {
    fill: #000
}
body.modal-lock {
    overflow: hidden;
}

@media(max-width: 991px) {
    .modal-buttons {
        flex-direction: column;
        align-items: flex-start;
    }
    .modal-buttons__item {
        width: auto;
    }
    .modal-buttons__item:first-of-type {
        margin-bottom: 30px;
    }
}
@media(max-width: 576px) {
    .modal__body {
        padding: 30px;
    }
    .modal__title {
        font-size: 24px;
    }
    .modal__desk {
        font-size: 16px;
    }
    .modal-buttons__item span {
        font-size: 16px;
    }
    .modal-buttons__item svg {
        min-width: 40px;
    }
}